
variants = {'AZ_HTS_data','GSK_HTS_data','AZ_HTS_data_Gintant_hERG'};


for v=1:length(variants)
    drug_name_file = ['../../input_data/' variants{v} '.txt'];
    fileID = fopen(drug_name_file);
    C{v} = textscan(fileID, '%s %f %f %f %f %f %f %f %f %f %f','HeaderLines',1);
    if v==1
        % This variant contains all the drugs (second is missing some)
        drug_names = C{v}{1};
    end    
end

% Print out header lines

fprintf('%% Autogenerated by input_data_to_latex_table.m, edit that not this!\n')
fprintf('%% Please remember to add \\use{multirow} to your document preamble in order to suppor multirow cells\n')
fprintf('%% Booktabs require to add \\usepackage{booktabs} to your document preamble\n')
fprintf('\\begin{table}[ptbh]\n')
fprintf('\\begin{center}\n')
fprintf('\\caption{All pIC$_{50}$ values measured and used for simulation inputs in this study, for Quatto (Q), Barracuda (B) and Manual patch (M).\n')
fprintf('Q2 refers to an independent Quattro screening.}\n')
fprintf('\\label{tab:InputData}\n')
fprintf('\\begin{scriptsize}\n')
fprintf('\\begin{tabular}{@{}lllllllllll@{}}\n')
fprintf('\\toprule\n')
fprintf('\\multicolumn{1}{l}{\\multirow{2}{*}{Compound}} & \\multicolumn{3}{c}{hERG} & \\multicolumn{2}{c}{CaV1.2} & \\multicolumn{2}{c}{NaV1.5} & \\multicolumn{2}{c}{KCNQ1}& \\multicolumn{1}{c}{Kv4.3} \\\\ \\cmidrule(l){2-11} \n')
fprintf('& \\multicolumn{1}{|l}{Q} & B & M & \\multicolumn{1}{|l}{Q} & B & \\multicolumn{1}{|l}{Q} & Q2 & \\multicolumn{1}{|l}{Q} & Q2 & \\multicolumn{1}{|l}{Q}  \\\\ \\midrule\n')
channel_ordering = [1 5 2 3 4]; % Want to show CaV second

for d = 1:length(drug_names)
    % Print out a line for each compound
    
    fprintf('%s ',drug_names{d})
    
    for channel = 1:5
        c = channel_ordering(channel);
        for v=1:length(variants)
            % Only show manual for hERG
            if v==3 & c>1
                continue
            end
            if channel==5 & v>1
                continue
            end
            % Look for this drug in this variant
            idx = find(strcmp(drug_names{d},C{v}{1}));            
            if (idx)            
                pIC50 = abs(log10(C{v}{2*c}(idx(1))*1e-6));
                if v==1
                    fprintf('& \\multicolumn{1}{|l}{%2.1f} ', pIC50)
                else
                    fprintf('& %2.1f ', pIC50)
                end
            else
                fprintf('& -- ')
            end
        end
    end
    
    fprintf('\\\\\n')
end

fprintf('\\bottomrule\n')
fprintf('\\end{tabular}\n')
fprintf('\\end{scriptsize}\n')
fprintf('\\end{center}\n')
fprintf('\\end{table}\n\n')
